32 bit firefox yüklemek imkansız mı?

arkadaşlar merhaba firefox 32 bit yüklemem gerekiyor.
pardus 19.2 XFCE kullanıyorum.


şu adresteki scripti indirip. sadece birinci satırdaki 64 bit firefoxa ait olan wget satırını değiştirip 32 bit link adresini ekledim.(wget -O Firefox.tar.bz2 “https://download.mozilla.org/?product=firefox-latest-ssl&os=linux&lang=tr” --no-check-certificate)

script son aşamasına kadar sorunsuz çalıştı masaüstüne firefox kısayolu da oluşturdu.
ama kısayola tıkladığımda
“/opt/firefox/firefox/firefox” alt süreci çalıştırılırken hata oluştu (Böyle bir dosya ya da dizin yok)
hatası alıyorum. * oysa /opt dizininde var.

çaresi nedir acaba. şu gönderide 32 bit firefox kurulamayacağı belirtilmiş sanırım.
ne yapabilirim arkadaşlar.

Hocam direk sitesinden indirin
Link: https://www.mozilla.org/tr/firefox/all/#product-desktop-release

yukarıdaki gibi gibi seçin ve hemen indirine tıklayın
Daha sonra indirdiğiniz dizine gelip sıkıştırılmış dosyayı çıkarınız.
Daha sonra çıkartığınız dizine gelip dizini açınız:

ekran görüntüsünde üstüne gelinmiş firefox üzerine çift tıklayınız. Sonuç

1 Beğeni

Maalesef @Burak_Erkus hocam.

yine aynı hatayı verdi.

Yalnız hocam benim dosya içeriklerim ile sizinkiler farklı sanki sizde 50 den fazla dosya varken bende 47 tane gözüküyor. ama aynı belirttiğiniz yerden indirdim.

hocam dizinde sağ tıkla uç birimde aç de sonra bu kodu girermisin ./firefox hata nın nedenini öğrenelim.

1 Beğeni

Hocam az önce attığım görselin altına yazmıştım bende firefox dizininde 47 dosya var sizin attığınız görselde 56 tane bundan olabilir mi?

sonuç maalesef aynı hocam @Burak_Erkus

Hocam şu paketi yüklemeyi dener misin? sudo apt-get install packagekit-gtk3-module

Hocam sistem 32 bit mi 64 bit mi? 56 tane olması internet yavaş indirirken 64 bitinide önceden indirmiştim onda gösterdim hocam ondan 56 dosya var.

1 Beğeni

Alttaki komutlari calistirip tekrar deneyin.

sudo dpkg --add-architecture i386
sudo apt-get install ia32-libs

1 Beğeni

Hocam bende arkadaşa bu kodu arayıp duruyordum bulamamıştım sağolasın :grinning: :grinning: :+1:

1 Beğeni

@mahmutelmas06 bey iyi günler.

birinci komutu daha önce girmiştim ben ama yine de girdim.
ikinci komutu girince şöyle bir hata verdi.

bende lib32z1 paketini yükledim.

artık firefox a tıkladığım da alt süreç hatası vermiyor ama hiç bir etkileşim de olmadı.

terminalde açmaya çalıştığımda şöyle bir hata verdi.

bende sudo apt install libstdc++6
ve
sudo apt install libstdc++6-i386-cross komutlarını çalıştırdım ama yine firefoxu açmaya çalışırken aynı hatayı alıyorum.

ilginiz için teşekkür ederim yalnız hala çalıştıramadım. @Burak_Erkus hocamız çalıştırmış ama zannederim başka bir program yüklemeye çalışırken gerekli kütüphaneleri kurduğu için onun bilgisayarında direkt açıldı bazı kütüphanelerim eksik sanıyorum ama bulamadım.

firefoxun deb paketini indirip pardus paket kurucu ile yüklemeye çalıştım. ama bir kütüphane eski versiyon olduğu için yükleyemedim.

o paketi buldum internetten ama root yetkisi ile dahi yükleyemedim.

1 Beğeni

hocam 64 bit olanı yüklemeye çalışıyorsun fakat 32 bit olanı gerek sana synaptic ten arat libc6 32

onları yükle.

1 Beğeni

Sorun çözüldü arkadaşlar. @mahmutelmas06 @Burak_Erkus
Burak hocamızın belirttiği paketleri yüklememe rağmen sorun devam ediyordu.
en son şu komutu denedim artık çalıştırabiliyorum.

sudo apt install gcc-multilib g++-multilib libdbus-glib-1-dev:i386 \
  libgtk2.0-dev:i386 libgtk-3-dev:i386 libpango1.0-dev:i386 libxt-dev:i386

Emekleriniz ve kıymetli vakitlerinizi ayırdığınız için çok çok teşekkür ediyorum. #ÇarePardus

32 bit firefox yüklemek isteyen arkadaşlar şu adresi inceleyebilirler. 32 bit firefox on 64 bit linux.

2 Beğeni

Selamün Aleyküm
Şu komutlar ile yükleniyor mu deneyebilir misiniz?

sudo dpkg --add-architecture i386
wget -O firefox-esr-i386.deb http://security.debian.org/debian-security/pool/updates/main/f/firefox-esr/firefox-esr_68.6.0esr-1~deb10u1_i386.deb
sudo apt -y install ./firefox-esr-i386.deb
1 Beğeni

Kemal hocam belirttiğiniz komutu terminalden çalıştırdığımda dpkg hataları verdi. bende inen 32 bit firefox deb paketini pardus paket kurucu ile denedim yine olmadı herhalde 64 bit esr nedeniyle bu hatayı alıyorum dedim ve sudo apt autoremove firefox-esr* komutu ile mevcut firefoxu kaldırdım bu kez terminalde yine dpkg hatası aldım. pardus paket kurucu ile denediğimde yüklemeye başladı ama 150 den fazla bağımlı kütüphane indirmeye başladı en son 170 falan oldu dayanamayıp xkill ile pardus paket kurucuyu kapattım. yani tam verim alamadım belirttiğiniz komuttan sayın hocam. yine de ilgilendiğiniz için teşekkür ederim hocam.

© 2019 TÜBİTAK